> # NAME

> cgSetIntStateAssignment - set the value of an int state assignment

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGbool cgSetIntStateAssignment( CGstateassignment sa,
>                                       int value );

> # PARAMETERS

> sa

>   A handle to a state assignment of type CG_INT.

> value

>   The value to which sa will be set.

> # RETURN VALUES

> Returns CG_TRUE if it succeeds in setting the state assignment.

> Returns CG_FALSE otherwise.

> # DESCRIPTION

> cgSetIntStateAssignment sets the value of a state assignment of int type.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of an int type.

> CG_ARRAY_SIZE_MISMATCH_ERROR is generated if sa is an array and not a scalar.

> # HISTORY

> cgSetIntStateAssignment was introduced in Cg 1.5.

> # SEE ALSO

> cgGetIntStateAssignmentValues, cgSetIntArrayStateAssignment, cgSetBoolArrayStateAssignment, cgSetBoolStateAssignment, cgSetFloatArrayStateAssignment, cgSetFloatStateAssignment, cgSetProgramStateAssignment, cgSetSamplerStateAssignment, cgSetStringStateAssignment, cgSetTextureStateAssignment